Bug 251112 - system-config-network is too restrictive in parsing route-itf# files
system-config-network is too restrictive in parsing route-itf# files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 04:09 EDT by Andrew Zabolotny
Modified: 2008-05-17 04:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.5.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 04:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2007-08-07 04:09:58 EDT
Description of problem:
The system-config-network tool allows to enter just a network/mask without a
gateway in the route entering dialog. This is an absolutely legal situation and
initscripts handle this correctly - such routes are handled as if they are
available directly on the given eth0 device.

However, if you restart system-config-network, it will fail to parse the file
created by himself. It says "static routes file eth0 is invalid" and all saved
routes are lost.

Version-Release number of selected component (if applicable):
system-config-network-1.3.96-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Launch system-config-network and open the settings dialog for some network card.
2. On the second "routes" page add a new route and input just the network and
the submask. Press OK.
3. File->Save and exit the tool.
4. Launch the tool again.
  
Actual results:

Displays the message "static routes file eth0 is invalid" and all routes are
lost (even valid).

Expected results:

No message or at least valid routes not being lost.
Comment 1 Bug Zapper 2008-05-14 09:54:16 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrew Zabolotny 2008-05-17 04:46:11 EDT
This bug seems fixed now.

Note You need to log in before you can comment on or make changes to this bug.